---
description: Matthew
title: Group Assisnment Week 7 - Computer Controlled Machining
slug: /assignment/week-07computer-controlled-machining/
---

## Write something at front

In this week , we are going to do lab's safety training, test runout, alignment, fixturing, speeds, feeds, materials, and toolpaths for the machine.

## Safety Training

1. **Personal Protective Equipment (PPE):**
   - Wear safety glasses or face shields to protect against flying particles and sparks.
   - Use heat-resistant gloves suitable for handling hot materials and operating the machine.
   - Wear ear protection in environments with high noise levels.
   - Ensure wearing fire-resistant clothing if welding operations are involved.

We are using the same plastic eyeglasses that we used in week4 for the protection:

![image](/img/week4/group_assignment_week4_50.jpg)

And mask for the dust inhalation

![image](/img/week7/group_week7_1.jpg)

2. **Emergency Procedures:**
   - Train all operators on the location and use of emergency stops on the machine.
   - Ensure knowledge of first aid procedures for burns, cuts, and other potential injuries.
   - Regularly review fire evacuation routes and procedures.

3. **Machine Safety:**
   - Understand all machine controls and their functions.
   - Never bypass any safety devices or guards on the machine.
   - Ensure the machine is properly grounded, especially if welding operations are involved.

## Machine Setup

1. This is the Machine we using for CNC cutting:

![image](/img/week7/group_week7_2.jpg)

2. Fix the board on the machine tightly, it needs to be fixed very tight otherwise the board may shift positions.

![image](/img/week7/group_week7_1.jpg)

3. Debugging the machine first. Uploading the test file:

<video controls src="https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/chaihuo/students/matthew-yu/-/raw/main/static/img/week7/group_week7_3.mp4?ref_type=heads" title="video 1"></video>


4. Return the machine to its mechanical origin, and manually set speed is `15000mm/min` to look for zero point.

![image](/img/week7/group_week7_4.jpg)

5. We are using speed 5000mm/min and 8mm milling cutter to do the testing:

<video controls src="https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/chaihuo/students/matthew-yu/-/raw/main/static/img/week7/group_week7_5.mp4?ref_type=heads" title="video 1"></video>


Calculating the tolerance is around 0.1mm and we will set it up in the software at the next step.

6. And in the lab, we are using 1.2mx2.4mx18.6mm board to do the cutting.

7. Back the machine to the zero point and everthing is setup, we can move to the G-code generation.

## Operational Procedures

We are using [masterCAM X6](https://www.mastercam.ltd/?qingge=1&bd_vid=8418612075215386999) to do the Tool Path and G-code generation.

1. Export the DXF files and the master who taught us CNC combined all the furniture designs of everyone using the software.

![image](/img/week7/group_week7_8.jpg)

![image](/img/week7/group_week7_9.jpg)

2. Put everyone's dxf files on [AutoCAD](https://adobe.i230.cn/m7/654e3b7f55ac0731cbd08b68?bd_vid=9099927337772216114)

:::info
The red is the size of the board of our CNC, 1200cm x 2400cm. The green is the file of the work of each member of our team.

After that, the layers need to be merged together, so setting the color can distinguish between the board and the file that needs to be cut.
:::

4. Then create the tool, an 8mm diameter tool. Set the tool parameters as follows: rotational speed `15000` mm/min, feed rate `5000` mm/min, plunge rate `500` mm/min. Keep the cutting depth as default. Set the safety height to `50mm`, the feed plunge position to `3.0`, and the depth to `18mm`. Here are the specific ones:

Here is supposed to be 8mm(image not very clear).

![image](/img/week7/group_week7_11.jpg)


![image](/img/week7/group_week7_12.jpg)

The tolerance we tested before is 0.1mm, so setting it:


![image](/img/week7/group_week7_13.jpg)

5. Set the safe height, `50mm` - That is, after cutting, raise the Z-axis to `50mm`. Similarly, the thickness of the board is set here, set to `18mm`

![image](/img/week7/group_week7_14.jpg)

6. Press "R" to view the tool path. If there's an incorrect tool direction, change its series direction.

![image](/img/week7/group_week7_15.jpg)

This one is not right.

![image](/img/week7/group_week7_16.jpg)

7. Then keep simulating the path:

![image](/img/week7/group_week7_17.jpg)

This one is right

8. Setting the times of milling as `2.5`.

![image](/img/week7/group_week7_18.jpg)

:::info
**Speeds and Feeds:**
- Determine the optimal cutting speeds and feeds based on the aluminum type and thickness. Aluminum generally requires higher speeds and lighter feeds.
- Use manufacturer’s guidelines or CNC software to calculate and set appropriate parameters.
:::

9. The final simulating path is:

![image](/img/week7/group_week7_19.jpg)

![image](/img/week7/group_week7_20.jpg)

:::info
**Toolpaths:**
- Design toolpaths to minimize tool wear and avoid excessive heat buildup.
- Use climb milling techniques for better finish and tool life when cutting aluminum.
- Ensure that all paths are checked in simulation software to avoid collisions and ensure efficient material removal.
:::

10. Then simulate all files:

![image](/img/week7/group_week7_21.jpg)

:::danger
However, it will encounter a broken situation, so we need to pay attention to the exported DXF file, that is, it needs to be connected at the design time, and it may be that this curve is not recognized by the machine.

![image](/img/week7/group_week7_22.jpg)

:::

11. Simulate all fine and output the G-code file

![image](/img/week7/group_week7_23.jpg)

## Real Cutting

We have set up the board before, hence for now, al long as we set up right the zero point, we are good to go:

![image](/img/week7/group_week7_24.jpg)

Begining the cut:

<video controls src="https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/chaihuo/students/matthew-yu/-/raw/main/static/img/week7/group_week7_25.mp4?ref_type=heads" title="video 3"></video>

The voice is really loud, wearing a noise-cancelling headphones are a good option.

![image](/img/week7/group_week7_27.jpg)

![image](/img/week7/group_week7_28.jpg)

Looking really really good:

![image](/img/week7/group_week7_26.jpg)

Each crew assembles its own design:

![image](/img/week7/group_week7_29.jpg)

![image](/img/week7/group_week7_30.jpg)

Done!!!!

![image](/img/week7/group_week7_31.jpg)

## Chen Xin's baby was born! Congratulations!

Our teammember ChenXin has his second baby in July!

![image](/img/week7/group_week7_32.jpg)

He is designing this rocking chair is for his kid:

![image](/img/week7/group_week7_33.jpg)