/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],
  mySidebar: [
    // {
    //   type: 'doc',
    //   id: 'students/chenxin_yang',
    //   label: 'ChenXin Yang',
    //   className: 'sideboard_calss',
    // },
    // {
    //   type: 'doc',
    //   id: 'students/crail_lyu',
    //   label: 'Crail Lyu',
    //   className: 'sideboard_calss',
    // },
    // {
    //   type: 'doc',
    //   id: 'students/dion_tsang',
    //   label: 'Dion Tsang',
    //   className: 'sideboard_calss',
    // },
    // {
    //   type: 'doc',
    //   id: 'students/jiawei_liang',
    //   label: 'Jiawei Liang',
    //   className: 'sideboard_calss',
    // },
    // {
    //   type: 'doc',
    //   id: 'students/matthew_yu',
    //   label: 'Matthew Yu',
    //   className: 'sideboard_calss',
    // },
    {
      type: 'doc',
      id: 'students/students',
      label: 'FAB24 - ChaiHuo MakerSpace Sutdents',
      className: 'sideboard_calss',
    },
    {
      type: 'doc',
      id: 'students/teacher',
      label: 'FAB24 - ChaiHuo MakerSpace Teacher',
      className: 'sideboard_calss',
    },


        'week3/group_assignment_week3',

        'week4/group_assignment_week4',

        'week5/group_assignment_week5',

        'week6/group_assignment_week6',

        'week7/group_assignment_week7',

        'week8/group_assignment_week8',

        'week9/group_assignment_week9',

        'week10/Mechanical_Design',

        'week12/group_assignment_week12',

        'week13/group_assignment_week13',

        'week14/group_assignment_week14',

        'week15/group_assignment_week15',

  ],
  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    'intro',
    'hello',
    {
      type: 'category',
      label: 'Tutorial',
      items: ['tutorial-basics/create-a-document'],
    },
  ],
   */
};

export default sidebars;
