import React from 'react';
import clsx from 'clsx';
import Heading from '@theme/Heading';
import styles from './styles.module.css';



const FeatureList = [
  
  {
    title: (
      <a href="docs/assignment/week-03computer-controlled-cutting/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/week3/week3_parametric_design_new_15.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 3</div>
        </div>
      </a>
    ),
  },
  {
    title: (
      <a href="docs/assignment/week-04-electronics-production/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/week4/group_assignment_week4_52.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 4</div>
        </div>
      </a>
    ),
  },
  {
    title: (
      <a href="docs/assignment/week-053d-scanning-and-printing/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/final_project/mobile_voice_recognization_6.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 5</div>
        </div>
      </a>
    ),
  },
  {
    title: (
      <a href="docs/assignment/week-06embedded-programming/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/week6/week6_group_5.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 6</div>
        </div>
      </a>
    ),
  },
  {
    title: (
      <a href="docs/assignment/week-07computer-controlled-machining/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/week7/group_week7_31.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 7</div>
        </div>
      </a>
    ),
  },
  {
    title: (
      <a href="docs/assignment/week-08-electronics-design/">
        <div
          className="feature-item"
          style={{
            backgroundImage: `url(${require('@site/static/img/week8/week_8_group_4.jpg').default})`,
          }}
        >
          <div className="feature-text">Week 8</div>
        </div>
      </a>
    ),
  },

    {
      title: (
        <a href="docs/assignment/week-09output-devices/">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week9/week_9_group_1.jpg').default})`,
            }}
          >
            <div className="feature-text">Week 9</div>
          </div>
        </a>
      ),
    },
    {
      title: (
        <a href="docs/assignment/week-10mechanical-design-machine-design./">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week10/blot_37.jpg').default})`,
            }}
          >
            <div className="feature-text">Week 10</div>
          </div>
        </a>
      ),
    },
    
    {
      title: (
        <a href="docs/assignment/week-12input-device/">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week12/week12_group_7.jpg').default})`,
            }}
          >
            <div className="feature-text">Week 12</div>
          </div>
        </a>
      ),
    },
    {
      title: (
        <a href="docs/assignment/week-13molding-and-casting/">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week13/W12_43.jpg').default})`,
            }}
          >
            <div className="feature-text">Week 13</div>
          </div>
        </a>
      ),
    },
    {
      title: (
        <a href="docs/assignment/week-14networking-and-communications/">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week14/week14_group_2.jpg').default})`,
            }}
          >
            <div className="feature-text">Week 14</div>
          </div>
        </a>
      ),
    },
    {
      title: (
        <a href="docs/assignment/week15interface-and-application-programming/">
          <div
            className="feature-item"
            style={{
              backgroundImage: `url(${require('@site/static/img/week15/touchbar.gif').default})`,
            }}
          >
            <div className="feature-text">Week 15</div>
          </div>
        </a>
      ),
    },
   
  ];






function Feature({Svg, title, description}) {
  return (
    <div className={clsx('col col--3')}>
      <div className="text--center">
        {title}
      </div>
    </div>
  );
}

export default function HomepageFeatures() {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );







  
}



// const MatthewImage = () => (
//   <img src={require('@site/static/img/notebook/Basicidea.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage2 = () => (
//   <img src={require('@site/static/img/week2/week2_3d_20.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage3 = () => (
//   <img src={require('@site/static/img/week3/week3_cut_31.png').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage4 = () => (
//   <img src={require('@site/static/img/week4/week4_electronics_32.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage5 = () => (
//   <img src={require('@site/static/img/week5/week5_3d_printing.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage6 = () => (
//   <img src={require('@site/static/img/week6/microcontroller_development_5.png').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );

// const MatthewImage7 = () => (
//   <img src={require('@site/static/img/week7/computer_controlled_machine_15.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );
// const MatthewImage8 = () => (
//   <img src={require('@site/static/img/week8/electronics_design_6.jpg').default} 
//   alt="Matthew"
//   width="auto" // Set the desired width
//   height="150" // Set the desired height
//  />
// );



// const FeatureList = [
//   {
//     title: <a href='docs/week1_assignment'>Week 1</a>,
//     Svg: MatthewImage,
    
//   },
//   {
//     title: <a href='docs/week2_assignment'>Week 2</a>,
//     Svg: MatthewImage2,
    
//   },
//   {
//     title: <a href='docs/week3_assignment'>Week 3</a>,
//     Svg: MatthewImage3,
//   },
//   {
//     title: <a href='docs/week4_assignment'>Week 4</a>,
//     Svg: MatthewImage4,
//   },
//   {
//     title: <a href='docs/week5_assignment'>Week 5</a>,
//     Svg: MatthewImage5,
//   },
//   {
//     title: <a href='docs/week6_assignment'>Week 6</a>,
//     Svg: MatthewImage6,
//   },
//   {
//     title: <a href='docs/week7_assignment'>Week 7</a>,
//     Svg: MatthewImage7,
//   },
//   {
//     title: <a href='docs/week8_assignment'>Week 8</a>,
//     Svg: MatthewImage8,
//   },
  // {
  //   title: 'Focus on What Matters',
  //   Svg: require('@site/static/img/undraw_docusaurus_tree.svg').default,
  //   description: (
  //     <>
  //       Docusaurus lets you focus on your docs, and we&apos;ll do the chores. Go
  //       ahead and move your docs into the <code>docs</code> directory.
  //     </>
  //   ),
  // },
  // {
  //   title: 'Powered by React',
  //   Svg: require('@site/static/img/undraw_docusaurus_react.svg').default,
  //   description: (
  //     <>
  //       Extend or customize your website layout by reusing React. Docusaurus can
  //       be extended while reusing the same header and footer.
  //     </>
  //   ),
  // },
// ];

// function Feature({Svg, title, description}) {
//   return (
//     <div className={clsx('col col--4')}>
//       <div className="text--center">
//         <Svg className={styles.featureSvg} role="img" />
//       </div>
//       <div className="text--center padding-horiz--md">
//         <Heading as="h3">{title}</Heading>
//         <p>{description}</p>
//       </div>
//     </div>
//   );
// }

// export default function HomepageFeatures() {
//   return (
//     <section className={styles.features}>
//       <div className="container">
//         <div className="row">
//           {FeatureList.map((props, idx) => (
//             <Feature key={idx} {...props} />
//           ))}
//         </div>
//       </div>
//     </section>
//   );
// }
